<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Consultas - Inventario de Productos';
echo "<title>".AppName.' - '.$title."</title>";
$buscar = DataForms::GET('buscar');
$descrip = DataForms::GET('descrip');
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper overlay-sidebar">		
	<?php include('inc_menuconsultas.php');?>
		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
										
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">										
											<div class="row">	
												<div class="col-md-2 col-lg-4">
													<div class="form-group form-group-default">
														<label>Buscar por Item:</label>
														<input id='txtBuscar' value='<?php echo $buscar; ?>' type="text" class="form-control">
													</div>																										
												</div>
												<div class="col-md-4 col-lg-4">
													<input type="button" value="BUSCAR" id='btnBuscar'  class="btn btn-info" ">
												</div>																				
											</div>
											<div class="row">	
												<div class="col-md-2 col-lg-4">
													<div class="form-group form-group-default">
														<label>Buscar por Descripción o Nombre de Producto:</label>
														<input id='txtBuscar2' value='<?php echo $descrip; ?>' type="text" class="form-control">
													</div>																										
												</div>
												<div class="col-md-4 col-lg-4">
													<input type="button" value="BUSCAR" id='btnBuscar2'  class="btn btn-info" ">
												</div>																				
											</div>
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>							
													<th>producto</th>
													<th>piezas</th>													
													<th>precios</th>
													<th>fotos</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											if($buscar != 'v'){
												$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
												WHERE prod.ubica_codigo = ubi.ubica_codigo	
												AND prod_estado = '1'	
												AND prod.prod_item LIKE('%".$buscar."%')									
												ORDER BY prod_id DESC;";	
											}else{
												if($descrip != 'v'){
													$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
													WHERE prod.ubica_codigo = ubi.ubica_codigo	
													AND prod_estado = '1'	
													AND prod.prod_nombre LIKE('%".$descrip."%')									
													ORDER BY prod_id DESC;";
												}else{
													$sql = "SELECT * FROM inventarios_productos WHERE 0";
												}	
											}
											
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;																													
												$prod_id = $db->dbField('prod_id');
												$ubica_codigo = $db->dbField('ubica_codigo');
													$ubica_nombre = $db->dbField('ubica_nombre');			
													$ubica_color = $db->dbField('ubica_color');												
												$prod_item = $db->dbField('prod_item');
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_foto = $db->dbField('prod_foto');
													if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
												$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
													$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;											
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_fecha = $db->dbField('prod_fecha');
												$prod_observaciones = $db->dbField('prod_observaciones');
												  if($prod_observaciones=='') $prod_observaciones='Sin Observaciones';

												$html.='<tr>';
												// //1 general, 2 destacados, 3 descuentos, 4 promocion
													$html.='<td><b>'.$prod_nombre.'</b>
														<br><b>Unicaci&oacute;n:&nbsp;<span style="background:'.$ubica_color.';padding:3px 7px;">'.str_replace(" ","&nbsp;",$ubica_nombre).'</span></b>
														<br><b>Item:&nbsp;</b>'.str_replace(" ","&nbsp;",$prod_item).'														
														</td>';
																							
													$html.='<td>
													<b>Piezas&nbsp;Caja:&nbsp;</b>'.$prod_piezascaja.'<br>
													<b>Cantidad Cajas:&nbsp;</b>'.$CantidadRealCajas.'<br>
													<b>Total Unidades:&nbsp;</b>'.$prod_unidadesreal.'</td>';
													$html.='<td>
													<b>Unitario:&nbsp;</b>'.$prod_preciounitario.'<br>
													<b>Docena:&nbsp;</b>'.$prod_preciodocena.'<br>
													<b>Caja&nbsp;Docena:&nbsp;</b>'.$prod_preciocajadocena.'</td>';
													$html.='<td align=center><a href='.PATH_HOME.'productos-fotos1/'.$prod_codigo.'>													
													<img src="'.PATH_HOME.'fotos/small_'.$prod_foto.'" width="170px"></a><br>
													'.$prod_observaciones.'</td>';
													
												$html.='</tr>';											
												
											}//wend() 

											if($i==0){
												$html.='<tr><td colspan=4>
													<br><br><br>
													<h1 align=center>No se encontraron productos bajo el criterio de Busqueda !!!</h1>
													<br><br><br><br>
													</td></tr>';
											}
											
											echo $html;
											?>													
											</tbody>
										</table>

									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>/*
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 25,
	});
});	*/
$('#btnBuscar').click(function(){
	let b = $('#txtBuscar').val();
	self.location = '<?php echo PATH_HOME."consultas.php?buscar="; ?>'+b+'&descrip=v';
});
$('#btnBuscar2').click(function(){
	let c = $('#txtBuscar2').val();
	self.location = '<?php echo PATH_HOME."consultas.php?buscar=v&descrip="; ?>'+c;
});
</script>